<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Favorito;
use App\Models\User;
use Illuminate\Http\Request;
use PHPUnit\Runner\Extension\Facade;

class FavoritoController extends Controller
{
    public function addFavorito(Request $request){
        $input=$request->all();

        $user=User::find(auth()->user()->id);
        $exiteFavorito=$user->favoritos()->where('fav',intval($input['id']))->first();
        if($exiteFavorito){
            return response()->json([
                'error'=>'El usuario ya es favorito'
            ], 400);
        }
        //$user->favoritos()->attach(2);
        $favorito=new Favorito();
        $favorito->fav=intval($input['id']);
        $user->favoritos()->save($favorito);

        return response()->json([
            'favorito' => 'Favorito agregado'
        ], 200);
    }

    public function deleteFavorito( $id){

        $user=User::find(auth()->user()->id);
        $fa=$user->favoritos->where('fav',$id)->first();
        Favorito::find($fa->id)->delete();

        return response()->json([
            'message' => 'Favorito fue eliminado'
        ], 200);
    }

    public function getInstituciones(){

        $users=User::role('DIRECTOR_ROLE')->get();

        return response()->json([
            'instituciones' => $users
        ], 200);
    }

    public function getFavoritos(){

        $user=User::find(auth()->user()->id);
        $favoritos=$user->favoritos->pluck('fav');
        $ie=User::whereIn('id', $favoritos)->get();

        return response()->json([
            'favoritos' => $ie
        ], 200);
    }
}
