<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Documento;
use App\Models\Periodo;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class PeriodoController extends Controller
{
    public function getPeriodos(){
        $periodos=Periodo::all();
        return response()->json([
            'periodos' => $periodos
        ], 200);
    }
    public function getPeriodosActive(){
        $periodos=Periodo::where('isActive', true)->select('periodo')->distinct()->pluck('periodo');
        return response()->json([
            'periodos' => $periodos
        ], 200);
    }

    public function addPeriodo( Request $request){

        $input = $request->all();

        $validator=Validator::make($input, [
            'periodo'=>['required', 'string', 'max:4']
        ]);

        if ($validator->fails()) {
            return response()->json([
                'error'=>$validator->errors() //$validator->errors(), //Auth::user()//$request->user() //auth()->user()
            ], 400);
        }

        $periodo=Periodo::create([
            'periodo'=>$input['periodo'],
        ]);

        return response()->json([
            'periodo' => $periodo
        ], 200);
    }

    public function updatePeriodo(Request $request, Periodo $periodo){

        $input = $request->all();

        if(!$periodo){
            return response()->json([
                'error'=>'No exite periodo' //$validator->errors(), //Auth::user()//$request->user() //auth()->user()
            ], 400);
        }

        $validator=Validator::make($input, [
            //'periodo'=>['required', 'string', 'max:4'],
            'isActive'=>['required']
        ]);

        if ($validator->fails()) {
            return response()->json([
                'error'=>$validator->errors() //$validator->errors(), //Auth::user()//$request->user() //auth()->user()
            ], 400);
        }

        $periodo->forceFill([
            'isActive'=>$input['isActive'],
        ])->save();

        return response()->json([
            'message' => "Actualización satisfactoria"
        ], 200);
    }
}
