<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\Tipoie;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class TipoieController extends Controller
{

    public function getTipoies()
    {
        $tipoies=Tipoie::all();

        return response()->json([
            'tipoies' => $tipoies
        ], 200);
    }

    public function addTipoie(Request $request){

        $input = $request->all();

        $validator=Validator::make($input, [
            'nombre' => ['required', 'string', 'max:255'],
            'codigo' => ['required', 'string', 'max:10'],
            'thoras' => ['required'],
        ]);

        if ($validator->fails()) {
            return response()->json([
                'error'=>$validator->errors() //$validator->errors(), //Auth::user()//$request->user() //auth()->user()
            ], 400);
        }

        $tipoie=Tipoie::create([
            'nombre'=>$input['nombre'],
            'codigo'=>$input['codigo'],
            'thoras'=>$input['thoras']
        ]);

        return response()->json([
            'tipoie' => $tipoie
        ], 200);
    }
}
