<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Documento extends Model
{
    use HasFactory;

    protected $fillable = [
        'periodo',
        'titulo',
        'slug',
        'gestion',
        'nivel',
        'tipo',
        'entrega',
        'repoid',
        'linkid',
        'estado'
    ];

    protected $casts = [
        'gestion' => 'json',
        'nivel'=>'json'
    ];

    public function users(){
        return $this->belongsToMany(User::class)->withPivot('estado','link','obs','obs_id')->withTimestamps();
    }
}
