<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plaza extends Model
{
    use HasFactory, HasUuids;

    protected $keyType = 'string'; // Clave primaria como string
    public $incrementing = false; // Desactiva auto incremento

    protected $fillable =[
        'distrito',
        'gestion',
        'zona',
        'codmod',
        'nivel',
        'nombreie',
        'jec',
        'codplaza',
        'subtipo',
        'cargo',
        'laboral',
        'motivo',
        'escala',
        'jornada',
        'estado',
        'fechainicio',
        'fechafin',
        'tipo',
        'ley',
        'fechanom',
        'dni',
        'apellidopat',
        'apellidomat',
        'nombres',
        'tipoplaza'
    ];

    public function areas(){
        return $this->hasMany(Area::class);
    }

    public function extras()
    {
        return $this->belongsToMany(Extra::class)
                    ->withPivot('horas_extra')
                    ->withTimestamps();
    }
}
