<?php

namespace App\Providers;

use Illuminate\Auth\Notifications\ResetPassword;
use Illuminate\Support\ServiceProvider;


class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        $spaDomain = config('sanctum.stateful', [])[0];

        ResetPassword::createUrlUsing(
            function ($notifiable, $token) use ($spaDomain) {
                return "http://{$spaDomain}/auth/reset-password/{$token}?email={$notifiable->getEmailForPasswordReset()}";
            }
        );
    }
}
