<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('plazas', function (Blueprint $table) {
            $table->uuid('id')->primary();

            $table->string('distrito');
            $table->string('gestion');
            $table->string('zona');
            $table->string('codmod',7);
            $table->string('nivel');
            $table->string('nombreie');
            $table->string('jec',2);
            $table->string('codplaza');
            $table->string('subtipo');
            $table->string('cargo');
            $table->string('laboral');
            $table->string('motivo')->nullable();
            $table->string('escala',2)->nullable();
            $table->integer('jornada');
            $table->string('estado')->nullable();
            $table->string('fechainicio')->nullable();
            $table->string('fechafin')->nullable();
            $table->string('tipo');
            $table->string('ley')->nullable();
            $table->string('fechanom')->nullable();
            $table->string('dni',8)->nullable();
            $table->string('apellidopat')->nullable();
            $table->string('apellidomat')->nullable();
            $table->string('nombres')->nullable();

            $table->integer('tipoplaza')->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('plazas');
    }
};
