<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('areas', function (Blueprint $table) {
            $table->id();

            $table->uuid('plaza_id');
            $table->unsignedBigInteger('curso_id');
            $table->string('codarea');

            $table->integer('num1')->default(0);
            $table->integer('num2')->default(0);
            $table->integer('num3')->default(0);
            $table->integer('num4')->default(0);
            $table->integer('num5')->default(0);
            $table->integer('sec1')->default(0);
            $table->integer('sec2')->default(0);
            $table->integer('sec3')->default(0);
            $table->integer('sec4')->default(0);
            $table->integer('sec5')->default(0);

            $table->foreign('plaza_id')->references('id')->on('plazas')->onDelete('cascade');
            $table->foreign('curso_id')->references('id')->on('cursos')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('areas');
    }
};
