<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('excedentes', function (Blueprint $table) {
            $table->id();
            $table->boolean('estado')->default(false);
            $table->text('motivo')->nullable();
            $table->uuid('plaza_id')->unique();
            $table->foreign('plaza_id')->references('id')->on('plazas')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('excedentes');
    }
};
