<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
//use League\Csv\Reader;
use Spatie\Permission\Models\Role;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //$user= User::create([
        //    'name' => 'Alipio Calsina Paredes',
        //    'email' => 'alipio@google.com',
        //    'password' => Hash::make('12345678')
        //]);
//
        //$user->assignRole('ADMIN_ROLE');
        //$user->assignRole('USER_ROLE');

        $file = database_path('seeders/usuariosag1.csv');

        if (!file_exists($file) || !is_readable($file)) {
            throw new \Exception('File not found or is not readable.');
        }
        $csv = array_map('str_getcsv', file($file));

        foreach ($csv as $record) {
            $user = User::create([
                'name' => $record['0'],
                'email' => $record['1'],
                'password' => Hash::make($record['2']),
                'codmod'=>!empty($record['3'])?$record['3']:null,
                'gestion'=>!empty($record['4'])?$record['4']:null,
                'nivel'=>!empty($record['5'])?$record['5']:null,

            ]);

            $roles = explode(',', $record['6']);
            foreach ($roles as $roleName) {
                $role = Role::findOrCreate(trim($roleName));
                $user->assignRole($role);
            }
        }
    }


}
